/// Supported game releases and their associated file extensions.
enum GameVersion {
  /// Wolfenstein 3D Shareware (.WL1)
  shareware("WL1"),

  /// Wolfenstein 3D Full Retail (.WL6)
  retail("WL6"),

  /// Spear of Destiny Full Version (.SOD)
  spearOfDestiny("SOD"),

  /// Spear of Destiny Demo (.SDM)
  spearOfDestinyDemo("SDM")
  ;

  final String fileExtension;
  const GameVersion(this.fileExtension);
}
